[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [p2-dev] Re: [ecf-dev] ECF for Platform 3.4.2

Scott,

What version of ECF are you planning to contribute to the point release of Ganymede? I don't think we should upgrade the ECF bundles included in the SDK to something that will be a higher version than what ECF contributes to the point release of Ganymede. Otherwise wouldn't we risk introducing compatibility issues for the other ECF bundles delivered in Ganymede?

I also think moving bundles up by a minor version during a point release will raise red flags for the PMC and will likely make it hard to get approved for this release.

Tom



Inactive hide details for Scott Lewis ---12/18/2008 09:51:22 PM---Hi Pascal,Scott Lewis ---12/18/2008 09:51:22 PM---Hi Pascal,


From:

Scott Lewis <slewis@xxxxxxxxxxxxxxxxx>

To:

"Eclipse Communication Framework (ECF) developer mailing list." <ecf-dev@xxxxxxxxxxx>

Cc:

p2-dev@xxxxxxxxxxx

Date:

12/18/2008 09:51 PM

Subject:

[p2-dev] Re: [ecf-dev] ECF for Platform 3.4.2




Hi Pascal,

There is a 2.0.1 version.  Though if possible I would suggest using the
ECF 2.1 version which we are releasing next week (24th).

So my questions for you:  when is the platform build for 3.4.2?   Can
ECF 2.1 be used instead (i.e. only the plugins that we are
contributing...not all of ECF 2.1)?.  This would be more desirable from
both our and consumers point of view as we've been applying recent bug
fixes to filetransfer providers to 2.1 stream (as well as HEAD).  The
only significant change for 2.1 over 2.0.1 is the better error code
support (i.e.
https://bugs.eclipse.org/bugs/show_bug.cgi?id=226769).  
Everything else is completely internal bug fixes.

In any event, please let us know about the timing of things, so we can
plan for resources to do the build, get stuff to platform in agreed upon
way, etc.

Scott

Pascal Rapicault wrote:
>
> Hi,
>
> The ECF version currently being shipped with the M builds of platform
> (aka 3.4.x), is the 2.0.0 version dating from June (v20080611-1715,
> see
>
http://download.eclipse.org/eclipse/downloads/drops/M20081218-1102/directory.txt 
> for the full list)
> Is there a 2.0.1 version that we should use instead? If so I need to
> know it quickly so I can request the PMC permission and get an
> appropriate level of testing.
>
> Thx
>
> PaScaL
>
> ------------------------------------------------------------------------
>
> _______________________________________________
> ecf-dev mailing list
> ecf-dev@xxxxxxxxxxx
>
https://dev.eclipse.org/mailman/listinfo/ecf-dev
>  

_______________________________________________
p2-dev mailing list
p2-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/p2-dev


GIF image

GIF image